Skip to main content
POST
/
channels
/
{myshopifyDomain}
/
collabs
/
{collabId}
/
drops
/
{dropId}
Update Channel Drop
curl --request POST \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/collabs/{collabId}/drops/{dropId} \
  --header 'Content-Type: application/json' \
  --header 'x-channel-access-token: <api-key>' \
  --data '
{
  "title": "Updated Drop Title",
  "description": "Updated drop description",
  "media": [],
  "products": [],
  "custom": {
    "cc-drop-short-form-2": "Featured"
  },
  "formId": "form_12345"
}
'
{
  "drop": {
    "_id": "68d4bf4b7796e248a07dfc2f",
    "title": "Updated Drop Title",
    "description": "Updated drop description",
    "media": [
      {
        "_id": "68f0f2dca11250a7ccf1ea12",
        "mediaContentType": "IMAGE",
        "mimeType": "image/webp",
        "url": "https://assets.drops.shop/all/68f0f2dca11250a7ccf1ea12.webp"
      }
    ],
    "products": [
      "68d4bd2202627cba6983e4df",
      "67bfce788207c73f3951acb7"
    ],
    "creator": "68d4828e02627cba69144aa2",
    "updatedAt": "2026-02-21T00:34:20.625Z"
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required

The Shopify domain

Example:

"cc-collabs-sandbox.myshopify.com"

collabId
string
required

The collab ID

Example:

"68d482d502627cba69150a33"

dropId
string
required

The drop ID

Example:

"68d4bf4b7796e248a07dfc2f"

Body

application/json
title
string
description
string
media
(string<uri> | object)[]
products
string · object · object[]
custom
object
formId
string

Form template ID

Response

Successfully updated channel drop

drop
object